Available Symbols
curl --request GET \
--url https://api.tradewatch.io/currencies/symbols \
--header 'api-key: <api-key>'import requests
url = "https://api.tradewatch.io/currencies/symbols"
headers = {"api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'api-key': '<api-key>'}};
fetch('https://api.tradewatch.io/currencies/symbols', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"items": [
{
"symbol": "<string>",
"name": "<string>"
}
],
"total": 123,
"current_page": "<string>",
"current_page_backwards": "<string>",
"previous_page": "<string>",
"next_page": "<string>"
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Currencies
Available Symbols
Get list of available symbols
GET
/
currencies
/
symbols
Available Symbols
Authorizations
Authentication via API key header
Query Parameters
The number of items per page.
The mode of the response.
Type of the instrument.
Country of the instrument.
Cursor for the next page
Response
Successful Response
Show child attributes
Show child attributes
Total items
Cursor to refetch the current page
Cursor to refetch the current page starting from the last item
Cursor for the previous page
Cursor for the next page
